function f=metamodel_response(swarm)
	
global rbfData
global doeData

% calculate metamodel response at design points xp
% Inputs: xp - 1 x k vetor of design variables
rbfmodel = rbfData.rbfmodel;
lambda = rbfData.lambda;
beta = rbfData.beta;
n = doeData.n;
x = doeData.x;
ndv = doeData.ndv;

% set up swarm parameters
% size of swarm population
nswarmsize=size(swarm,1);
% Calculating number of dvs
nswarmdvs=size(swarm,2);

% verify that the specified DoE sizes are consistent with those read in
if (nswarmdvs ~= ndv)
   fprintf('design variable mismatch in metamodel_response\n');
   quit cancel;
end

f=rbf(n,x,ndv,swarm,nswarmsize,lambda,rbfmodel,beta);

end