function rbfOutputData=readOutputData()
	
    global doeData
    
    fprintf('Reading output data..\n');
	
 	% xa = load ('-ascii',  '../OLH/OLH_UNI_2x50.txt');     
    outN = 41;
    xa = [];
    
    for i = 0:1/(outN-1):1
        for j = 0:1/(outN-1):1
            xa = [xa; i j];
        end
    end
	
     % Calculating number of plan points for each matrix xa
    na=size(xa,1);
	nDVARS=size(xa,2);

    % verify that the specified number of design variables are consistent
	ndv=doeData.ndv;
    if (ndv ~= nDVARS)
       fprintf('Output data number of design variables mismatch\n');
       quit cancel;
    end
	
	% Scaling plan point values for x,xa,xv if using uni-plan run-matrix
	uniplan = doeData.uniplan;
	bounds=doeData.bounds;
	rang=doeData.rang;
	if uniplan==1
		for i=1:ndv
			xa(:,i)=rang(1,i)*xa(:,i)+bounds(i,1);
		end
	end
	
	% assemble MLSM output data points into global structure so data can be passed into other functions
	rbfOutputData.xa=xa;
	rbfOutputData.na=na;

    fprintf('Finished reading output data..\n');
		
end