function f=sixhumpcamel(x)
% f=sixhumpcamel(x)
%
% This function takes a input vector x and 
% returns a scalar output of the six hump camel back function.
%
% Inputs:
%   x -2 x 1 vector in range [0;0] [1;1]
%
% Outputs: 
%   f -six hump camel back funtion value
%
% Copyright 2007 A I J Forrester and A Sobester
%
% This program is free software: you can redistribute it and/or modify  it
% under the terms of the GNU Lesser General Public License as published by
% the Free Software Foundation, either version 3 of the License, or any
% later version.
% 
% This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser
% General Public License for more details.
% 
% You should have received a copy of the GNU General Public License and GNU
% Lesser General Public License along with this program. If not, see
% <http://www.gnu.org/licenses/>.

if length(x)~=2
      error('six hump camel back function is for two variables only');
end
if x(1)<0 || x(1)>1 || x(2)<0 || x(2)>1
      error('Variable outside of range - use x in {0,1}');
end

X1 = 4*x(1)-2;
X2 = 2*x(2)-1;
f = (4 -2.1*X1^2+X1^4/3)*X1^2 + X1*X2 + (4*X2^2-4)*X2^2;