function b=lspolbasis(x,npoly,ndv)
      % npoly - polynomial degree
      % ndv - number of design variables
	
	% Create vector t=[1 x1 x2 x3...xn]
      t=[1 x];
      
	% First order polynomial, just use t.
      if npoly==1
            b(1,:)=t;
	% Second order polynomial, use t'*t (obs: symmetric matrix, discard duplicates)
      elseif npoly==2
            p=0;
            for i=1:ndv+1
                  for j=i:ndv+1
                        p=p+1;
                        b(1,p)=t(i)*t(j);
                  end
            end
      elseif npoly==3  % cubic polynomial
	        p=0;
            for i=1:ndv+1
                  for j=i:ndv+1
				     for k=j:ndv+1
                        p=p+1;
                        b(1,p)=t(i)*t(j)*t(k);
					 end
                  end
            end

     elseif npoly==4  % quartic polynomial
	        p=0;
            for i=1:ndv+1
                  for j=i:ndv+1
				     for k=j:ndv+1 
					    for m=k:ndv+1
                           p=p+1;
                           b(1,p)=t(i)*t(j)*t(k)*t(m);
						end   
					 end
                  end
            end
	  
	  else 
             printf('NOT IMPLEMENTED');
      end
      
      
end