function f=metamodel_response(swarm)
	
global mlsmData
global doeData

% calculate metamodel response at design points xp
% Inputs: xp - 1 x k vetor of design variables
theta = mlsmData.theta;
npoly = mlsmData.npoly;
sens = mlsmData.sens;
s = mlsmData.s;
dWmin = mlsmData.dWmin;
nExcessPts = mlsmData.nExcessPts;

n = doeData.n;
x = doeData.x;
ndv = doeData.ndv;
f = doeData.f;
rang = doeData.rang;

% set up swarm parameters
% size of swarm population
nswarmsize=size(swarm,1);
% Calculating number of dvs
nswarmdvs=size(swarm,2);
	
% verify that the specified DoE sizes are consistent with those read in
if (nswarmdvs ~= ndv)
   fprintf('design variable mismatch in metamodel_response\n');
   quit cancel;
end

f=movingls(theta,n,nswarmsize,x,swarm,npoly,ndv,f,sens,rang,s,dWmin,nExcessPts);


end