function [ya c]=movingls(theta,n,na,x,xa,npoly,ndv,f,sens,rang,s,dWmin,nExcessPts)
	% Calculate number of regressors needed
	if npoly==1
		dim=ndv+1;
	elseif npoly>1
		dim=(ndv+2)*(ndv+1)/2;		
    end
    
    % Calculate weights
    W=wmatrix(x,xa,theta,rang,dWmin,nExcessPts,dim,n);
	% Creating and solving system of equations for every point j. Aj*cj=hj
	c=zeros(na,dim);
	ya=zeros(na,1);
    for j=1:na
        
		A=zeros(dim);
		A1=zeros(dim);
		h=zeros(dim,1);
		h1=zeros(dim,1);
        A2=zeros(dim);
        h2=zeros(dim,1);
        
        % Old redundant code in comments
        % fnorm=1/mean(f(:,1));
        for i=1:n
              % Create polynomial basis vector
              b=polbasis(x(i,:),npoly,ndv,sens);

              % Construct function value part: A1 and h1
              A1=A1+W(i,j)*b(1,:)'*b(1,:);%*fnorm;
              h1=h1+W(i,j)*b(1,:)'*f(i,1);%*fnorm;

        %Construct gradient value part:  A2 and h2
              if sens==1
                    dnorm=1/sum(f(i,2:end).^2);
                    for p=2:size(b,1)
                          A2=A2+s*W(i,j)*b(p,:)'*b(p,:)*dnorm; 
                          h2=h2+s*W(i,j)*b(p,:)'*f(i,p)*dnorm;
                    end
              end
        end
		
		if sens==0
			A=A1;
			h=h1;
		elseif sens==1
			A=A1+A2;
			h=h1+h2;
		end
		
        % Solving A*c=h for point xa(j)
        c(j,:)=A\h;
            
        % Evaluating each point ya using approximation
        ba=polbasis(xa(j,:),npoly,ndv,0);
        ya(j,1)=ba*c(j,:)';
      end
end