function b=polbasis(x,npoly,ndv,sens)
      % npoly - polynomial degree
      % ndv - number of design variables
	
	% Create vector t=[1 x1 x2 x3...xn]
      t=[1 x];
      
	% First order polynomial, just use t.
      if npoly==1
            b(1,:)=t;
	% Second order polynomial, use t'*t (obs: symmetric matrix, discard duplicates)
      elseif npoly==2
            p=0;
            for i=1:ndv+1
                  for j=i:ndv+1
                        p=p+1;
                        b(1,p)=t(i)*t(j);
                  end
            end
      else
            printf('NOT IMPLEMENTED');
      end
      
      % If sensitivity data is used (sens=1)
      if sens==1
		% Create vector dt/dxi
		for i=1:ndv
                  tdxi(i,i+1)=1;
            end
		% First order derivatives
            if npoly==1
                  b(2:ndv+1,:)=tdxi;
		% Second order derivatives, use dxi(t'*t)=dxi(t')*t+t'*dxi(t) - (obs: symmetric matrix, discard duplicates)
		elseif npoly==2
			for r=1:ndv
				p=0;
				for i=1:ndv+1
					for j=i:ndv+1
						p=p+1;
						b(r+1,p)=tdxi(r,i)*t(j)+t(i)*tdxi(r,j);
					end
				end
			end
		end
      end
end