function mlsmData=readMLSMData()
	fprintf('Reading MLSM parameters..\n');
	
     % Golden search settings.
	 gopt=1;		% Optimisation of theta: (1) - On, (0) - Off.
     glb=0;		% Theta lower bound.
     gub=300;		% Theta upper bound.
     gtol=0.1;		% Golden search convergence tolerance.
     giter=30;		% Maximum number of golden search iterations.
	 vmethod=2;		% Validation method: (1) - Validation matrix, (2) - Leave One Out, (2) - K-fold (3).
      
     % Sensitivity / Gradient information.
     sens=0;		% Use of sensitivity information: (1) - On, (2) - Off.
     s=0.5;		% Relative weight factor for derivatives (i.e. min(w*(fa-fp)+w*s*(f'a-f'd)).
      
	% MLSM settings.
    npoly=2;		% Order of polynomial base function.
	dWmin=0.001;	% Minumum weight value (numerical)
	nExcessPts=1;	% Number of extra points used to create regression.
	
	thetarange=[500 600];
    %thetarange=[60];
	plotrange=0;

	% assemble MLSM data into global structure so data can be passed into other functions
	mlsmData.npoly=npoly;
	mlsmData.glb=glb;
	mlsmData.gub=gub;
	mlsmData.gtol=gtol;
	mlsmData.giter=giter;
	mlsmData.sens=sens;
	mlsmData.s=s;
	mlsmData.vmethod=vmethod;
	mlsmData.gopt=gopt;
	mlsmData.dWmin=dWmin;
	mlsmData.nExcessPts=nExcessPts;
	mlsmData.thetarange=thetarange;
	mlsmData.plotrange=plotrange;

    fprintf('Finished reading MLSM parameters..\n');
	
end